package cn.superdesk.uniorder.common.queue.block;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class _TestCall2 {

	public static void main(String[] args) {


//		TaskScheduler.getInstance();
		TaskInterface task = new _TestTask("HIGH").setDuration(0).setPriority(TaskPriorityEnum.HIGH);
		task.enqueue();
		task.doTask();
		task.finishTask();
		new _TestTask("DEFAULT").setDuration(0).setPriority(TaskPriorityEnum.MIDDLE).enqueue();

		log.info("{}", CurrentRunningTask.getCurrentShowingStatus());
	}
}
